Bug 1126046 - Review Request: perl-MouseX-NativeTraits - Extend your attribute interfaces for Mouse
Summary: Review Request: perl-MouseX-NativeTraits - Extend your attribute interfaces f...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-01 16:56 UTC by Devrim Gündüz
Modified: 2015-06-22 11:34 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-22 11:34:26 UTC


Attachments (Terms of Use)

Description Devrim Gündüz 2014-08-01 16:56:45 UTC
Spec URL: www.gunduz.org/epel/perl-MouseX-NativeTraits.spec

SRPM URL: www.gunduz.org/epel/perl-MouseX-NativeTraits-1.09-1.fc20.src.rpm

Description:
While Mouse attributes provide a way to name your accessors, readers,
writers, clearers and predicates, MouseX::NativeTraits provides commonly
used attribute helper methods for more specific types of data.


Fedora Account System Username:

Comment 1 Petr Pisar 2014-08-20 06:35:42 UTC
What's your Fedora user name?

Comment 2 Devrim Gündüz 2014-10-15 19:35:01 UTC
devrim

Comment 3 Petr Pisar 2014-10-21 07:03:06 UTC
Please use a schema in the URLs next time.
Please make sure the standalone SPEC file matches the one built into the SRPM next time.

I will use SPEC file from the SRPM for this review, as it is newer.

URL and Source0 are usable. Ok.
Source archive is original (SHA-256: f8a5bf5a28702dfb13c8093be5c41cab9c5fc1c5d247ab91e22e7dd72764cb5e). Ok.
License verified from lib/MouseX/NativeTraits.pm and META.yml. Ok.
No XS code, noarch BuildArch is Ok.
Summary and description are Ok.

FIX: Remove explicit BuildRoot definition as well as cleaning it in %install and %clean section. This are done automatically in Fedora.

TODO: Replace %__perl macros with plain `perl' command.
TODO: Replace PERL_INSTALL_ROOT argument with DESTDIR argument in the %install sections to make the commands more similar to other (automake) packages.
TODO: Remove cleaning the empty directories from %install section. Current ExtUtils::MakerMaker does not create empty directories anymore.

FIX: Remove explicit defattr definition in %files sections. This is not necessary in current Fedora anymore.

FIX: Remove bundled modules from ./inc and build-require on `perl(inc::Module::Install) >= 1.06' instead of `perl(ExtUtils::MakeMaker)' or declare all dependencies of those modules as BuildRequires.

TODO: Build-require `perl(strict)' (Makefile.PL:1).
TODO: Build-require `perl(warnings)' (Makefile.PL:2).

FIX: Build-require `perl(List::Util)' (lib/MouseX/NativeTraits/MethodProvider/ArrayRef.pm:5).
FIX: Build-require `perl(Mouse::Role)' (lib/MouseX/NativeTraits.pm:3).

Data::Dumper is not probably used (t/070_native_traits/050_trait_hash.t:235). Ok.
Mouse::Util::TypeConstraints not used (t/070_native_traits/013_array_coerce.t:13). Ok.

TODO: Build-require `perl(overload)' (t/070_native_traits/010_trait_array.t:99).

Test::Mouse not used (t/070_native_traits/103_custom_instance.t:7). Ok.

TODO: Build-require `perl(Tie::Hash)' t/05_remain_tied.t:7.

FIX: No tests are executed. Add %check section with `make test' command.

$ rpmlint perl-MouseX-NativeTraits.spec ../SRPMS/perl-MouseX-NativeTraits-1.09-1.fc22.src.rpm ../RPMS/noarch/perl-MouseX-NativeTraits-1.09-1.fc22.noarch.rpm 
perl-MouseX-NativeTraits.src: W: spelling-error %description -l en_US accessors -> accessory, accessorizes, accessorize
perl-MouseX-NativeTraits.src: W: spelling-error %description -l en_US clearers -> clearer, cleaners, cleavers
perl-MouseX-NativeTraits.noarch: W: spelling-error %description -l en_US accessors -> accessory, accessorizes, accessorize
perl-MouseX-NativeTraits.noarch: W: spelling-error %description -l en_US clearers -> clearer, cleaners, cleavers
2 packages and 1 specfiles checked; 0 errors, 4 warnings.
rpmlint is Ok.

$ rpm -q -lv -p ../RPMS/noarch/perl-MouseX-NativeTraits-1.09-1.fc22.noarch.rpm
drwxr-xr-x    2 root    root                        0 Oct 21 08:50 /usr/share/doc/perl-MouseX-NativeTraits
-rw-r--r--    1 root    root                     1227 Nov 26  2012 /usr/share/doc/perl-MouseX-NativeTraits/Changes
-rw-r--r--    1 root    root                      550 Nov 26  2012 /usr/share/doc/perl-MouseX-NativeTraits/README
-rw-r--r--    1 root    root                     1938 Oct 21 08:50 /usr/share/man/man3/Mouse::Meta::Attribute::Custom::Trait::Array.3pm.gz
-rw-r--r--    1 root    root                     1935 Oct 21 08:50 /usr/share/man/man3/Mouse::Meta::Attribute::Custom::Trait::Bool.3pm.gz
-rw-r--r--    1 root    root                     1936 Oct 21 08:50 /usr/share/man/man3/Mouse::Meta::Attribute::Custom::Trait::Code.3pm.gz
-rw-r--r--    1 root    root                     1933 Oct 21 08:50 /usr/share/man/man3/Mouse::Meta::Attribute::Custom::Trait::Counter.3pm.gz
-rw-r--r--    1 root    root                     1938 Oct 21 08:50 /usr/share/man/man3/Mouse::Meta::Attribute::Custom::Trait::Hash.3pm.gz
-rw-r--r--    1 root    root                     1934 Oct 21 08:50 /usr/share/man/man3/Mouse::Meta::Attribute::Custom::Trait::Number.3pm.gz
-rw-r--r--    1 root    root                     1935 Oct 21 08:50 /usr/share/man/man3/Mouse::Meta::Attribute::Custom::Trait::String.3pm.gz
-rw-r--r--    1 root    root                     1986 Oct 21 08:50 /usr/share/man/man3/Mouse::Meta::Attribute::Native.3pm.gz
-rw-r--r--    1 root    root                     3553 Oct 21 08:50 /usr/share/man/man3/MouseX::NativeTraits.3pm.gz
-rw-r--r--    1 root    root                     4263 Oct 21 08:50 /usr/share/man/man3/MouseX::NativeTraits::ArrayRef.3pm.gz
-rw-r--r--    1 root    root                     2426 Oct 21 08:50 /usr/share/man/man3/MouseX::NativeTraits::Bool.3pm.gz
-rw-r--r--    1 root    root                     2171 Oct 21 08:50 /usr/share/man/man3/MouseX::NativeTraits::CodeRef.3pm.gz
-rw-r--r--    1 root    root                     2568 Oct 21 08:50 /usr/share/man/man3/MouseX::NativeTraits::Counter.3pm.gz
-rw-r--r--    1 root    root                     2839 Oct 21 08:50 /usr/share/man/man3/MouseX::NativeTraits::HashRef.3pm.gz
-rw-r--r--    1 root    root                     2025 Oct 21 08:50 /usr/share/man/man3/MouseX::NativeTraits::MethodProvider.3pm.gz
-rw-r--r--    1 root    root                     2320 Oct 21 08:50 /usr/share/man/man3/MouseX::NativeTraits::MethodProvider::ArrayRef.3pm.gz
-rw-r--r--    1 root    root                     2000 Oct 21 08:50 /usr/share/man/man3/MouseX::NativeTraits::MethodProvider::Bool.3pm.gz
-rw-r--r--    1 root    root                     1988 Oct 21 08:50 /usr/share/man/man3/MouseX::NativeTraits::MethodProvider::CodeRef.3pm.gz
-rw-r--r--    1 root    root                     1996 Oct 21 08:50 /usr/share/man/man3/MouseX::NativeTraits::MethodProvider::Counter.3pm.gz
-rw-r--r--    1 root    root                     2174 Oct 21 08:50 /usr/share/man/man3/MouseX::NativeTraits::MethodProvider::HashRef.3pm.gz
-rw-r--r--    1 root    root                     2012 Oct 21 08:50 /usr/share/man/man3/MouseX::NativeTraits::MethodProvider::Num.3pm.gz
-rw-r--r--    1 root    root                     2073 Oct 21 08:50 /usr/share/man/man3/MouseX::NativeTraits::MethodProvider::Str.3pm.gz
-rw-r--r--    1 root    root                     2446 Oct 21 08:50 /usr/share/man/man3/MouseX::NativeTraits::Num.3pm.gz
-rw-r--r--    1 root    root                     2860 Oct 21 08:50 /usr/share/man/man3/MouseX::NativeTraits::Str.3pm.gz
drwxr-xr-x    2 root    root                        0 Oct 21 08:50 /usr/share/perl5/vendor_perl/Mouse
drwxr-xr-x    2 root    root                        0 Oct 21 08:50 /usr/share/perl5/vendor_perl/Mouse/Meta
drwxr-xr-x    2 root    root                        0 Oct 21 08:50 /usr/share/perl5/vendor_perl/Mouse/Meta/Attribute
drwxr-xr-x    2 root    root                        0 Oct 21 08:50 /usr/share/perl5/vendor_perl/Mouse/Meta/Attribute/Custom
drwxr-xr-x    2 root    root                        0 Oct 21 08:50 /usr/share/perl5/vendor_perl/Mouse/Meta/Attribute/Custom/Trait
-rw-r--r--    1 root    root                      446 Nov 26  2012 /usr/share/perl5/vendor_perl/Mouse/Meta/Attribute/Custom/Trait/Array.pm
-rw-r--r--    1 root    root                      430 Nov 26  2012 /usr/share/perl5/vendor_perl/Mouse/Meta/Attribute/Custom/Trait/Bool.pm
-rw-r--r--    1 root    root                      439 Nov 26  2012 /usr/share/perl5/vendor_perl/Mouse/Meta/Attribute/Custom/Trait/Code.pm
-rw-r--r--    1 root    root                      448 Nov 26  2012 /usr/share/perl5/vendor_perl/Mouse/Meta/Attribute/Custom/Trait/Counter.pm
-rw-r--r--    1 root    root                      439 Nov 26  2012 /usr/share/perl5/vendor_perl/Mouse/Meta/Attribute/Custom/Trait/Hash.pm
-rw-r--r--    1 root    root                      438 Nov 26  2012 /usr/share/perl5/vendor_perl/Mouse/Meta/Attribute/Custom/Trait/Number.pm
-rw-r--r--    1 root    root                      429 Nov 26  2012 /usr/share/perl5/vendor_perl/Mouse/Meta/Attribute/Custom/Trait/String.pm
-rw-r--r--    1 root    root                      520 Nov 26  2012 /usr/share/perl5/vendor_perl/Mouse/Meta/Attribute/Native.pm
drwxr-xr-x    2 root    root                        0 Oct 21 08:50 /usr/share/perl5/vendor_perl/MouseX
drwxr-xr-x    2 root    root                        0 Oct 21 08:50 /usr/share/perl5/vendor_perl/MouseX/NativeTraits
-rw-r--r--    1 root    root                     6861 Nov 26  2012 /usr/share/perl5/vendor_perl/MouseX/NativeTraits.pm
-rw-r--r--    1 root    root                     7097 Nov 26  2012 /usr/share/perl5/vendor_perl/MouseX/NativeTraits/ArrayRef.pm
-rw-r--r--    1 root    root                     1592 Nov 26  2012 /usr/share/perl5/vendor_perl/MouseX/NativeTraits/Bool.pm
-rw-r--r--    1 root    root                      962 Nov 26  2012 /usr/share/perl5/vendor_perl/MouseX/NativeTraits/CodeRef.pm
-rw-r--r--    1 root    root                     2070 Nov 26  2012 /usr/share/perl5/vendor_perl/MouseX/NativeTraits/Counter.pm
-rw-r--r--    1 root    root                     2574 Nov 26  2012 /usr/share/perl5/vendor_perl/MouseX/NativeTraits/HashRef.pm
drwxr-xr-x    2 root    root                        0 Oct 21 08:50 /usr/share/perl5/vendor_perl/MouseX/NativeTraits/MethodProvider
-rw-r--r--    1 root    root                     2485 Nov 26  2012 /usr/share/perl5/vendor_perl/MouseX/NativeTraits/MethodProvider.pm
-rw-r--r--    1 root    root                    15868 Nov 26  2012 /usr/share/perl5/vendor_perl/MouseX/NativeTraits/MethodProvider/ArrayRef.pm
-rw-r--r--    1 root    root                     1524 Nov 26  2012 /usr/share/perl5/vendor_perl/MouseX/NativeTraits/MethodProvider/Bool.pm
-rw-r--r--    1 root    root                      932 Nov 26  2012 /usr/share/perl5/vendor_perl/MouseX/NativeTraits/MethodProvider/CodeRef.pm
-rw-r--r--    1 root    root                     2923 Nov 26  2012 /usr/share/perl5/vendor_perl/MouseX/NativeTraits/MethodProvider/Counter.pm
-rw-r--r--    1 root    root                     8808 Nov 26  2012 /usr/share/perl5/vendor_perl/MouseX/NativeTraits/MethodProvider/HashRef.pm
-rw-r--r--    1 root    root                     3062 Nov 26  2012 /usr/share/perl5/vendor_perl/MouseX/NativeTraits/MethodProvider/Num.pm
-rw-r--r--    1 root    root                     7165 Nov 26  2012 /usr/share/perl5/vendor_perl/MouseX/NativeTraits/MethodProvider/Str.pm
-rw-r--r--    1 root    root                     1796 Nov 26  2012 /usr/share/perl5/vendor_perl/MouseX/NativeTraits/Num.pm
-rw-r--r--    1 root    root                     2602 Nov 26  2012 /usr/share/perl5/vendor_perl/MouseX/NativeTraits/Str.pm
File permissions and layout are Ok.

$ rpm -q --requires -p ../RPMS/noarch/perl-MouseX-NativeTraits-1.09-1.fc22.noarch.rpm | sort -f | uniq -c
      1 perl >= 0:5.006_002
      1 perl(:MODULE_COMPAT_5.20.1)
      1 perl(List::Util)
      1 perl(Mouse)
      1 perl(Mouse) >= 0.82
      1 perl(Mouse::Role)
      1 perl(Mouse::Util::TypeConstraints)
      1 perl(strict)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
TODO: Remove the `perl(Mouse)' dependency without the version qualifier.

$ rpm -q --provides -p ../RPMS/noarch/perl-MouseX-NativeTraits-1.09-1.fc22.noarch.rpm | sort -f | uniq -c
      1 perl(Mouse::Meta::Attribute::Custom::Trait::Array)
      1 perl(Mouse::Meta::Attribute::Custom::Trait::Bool)
      1 perl(Mouse::Meta::Attribute::Custom::Trait::Code)
      1 perl(Mouse::Meta::Attribute::Custom::Trait::Counter)
      1 perl(Mouse::Meta::Attribute::Custom::Trait::Hash)
      1 perl(Mouse::Meta::Attribute::Custom::Trait::Number)
      1 perl(Mouse::Meta::Attribute::Custom::Trait::String)
      1 perl(Mouse::Meta::Attribute::Native) = 1.09
      1 perl(MouseX::NativeTraits) = 1.09
      1 perl(MouseX::NativeTraits::ArrayRef)
      1 perl(MouseX::NativeTraits::Bool)
      1 perl(MouseX::NativeTraits::CodeRef)
      1 perl(MouseX::NativeTraits::Counter)
      1 perl(MouseX::NativeTraits::HashRef)
      1 perl(MouseX::NativeTraits::MethodProvider)
      1 perl(MouseX::NativeTraits::MethodProvider::ArrayRef)
      1 perl(MouseX::NativeTraits::MethodProvider::Bool)
      1 perl(MouseX::NativeTraits::MethodProvider::CodeRef)
      1 perl(MouseX::NativeTraits::MethodProvider::Counter)
      1 perl(MouseX::NativeTraits::MethodProvider::HashRef)
      1 perl(MouseX::NativeTraits::MethodProvider::Num)
      1 perl(MouseX::NativeTraits::MethodProvider::Str)
      1 perl(MouseX::NativeTraits::Num)
      1 perl(MouseX::NativeTraits::Str)
      1 perl-MouseX-NativeTraits = 1.09-1.fc22
Binary provides are Ok.

$ resolvedeps rawhide ../RPMS/noarch/perl-MouseX-NativeTraits-1.09-1.fc22.noarch.rpm 
Binary dependencies resolvable. Ok.

Package builds in F22 (http://koji.fedoraproject.org/koji/taskinfo?taskID=7923306). ???

Otherwise the package is in line with Fedora and Perl packaging guidelines.

Please correct all `FIX' items, consider fixing `TODO' items, and provide a new spec file.
Resolution: NOT APPROVED.

Comment 4 Jitka Plesnikova 2015-05-26 14:13:31 UTC
*** Bug 1225073 has been marked as a duplicate of this bug. ***

Comment 5 Petr Pisar 2015-05-26 14:44:38 UTC
Devrim are you still interested in this review to become the maintainer of this package in Fedora?

Comment 6 Petr Pisar 2015-06-22 11:34:26 UTC
I think the package submitter lost his interest in this package. Closing this bug report.


Note You need to log in before you can comment on or make changes to this bug.